1. Voucher Generation (Resellers)
CIAO API
  • Getting Started
    • Introduction
    • Authentication
    • Responses and Error
  • Partners
    • Webhooks
    • Redemption Intent (Partners)
      • Create Redemption Intent
      • Retrieve Redemption Intent
    • Subscriptions
      • Create Subscription
      • Retrieve a subscription
      • Cancel Subscription
  • Resellers
    • Webhooks
    • Voucher Generation (Resellers)
      • Create Voucher Payment
        POST
      • Retrieve Voucher Payment
        GET
  • General
    • Get all Counties
      GET
  1. Voucher Generation (Resellers)

Retrieve Voucher Payment

Developing
GET
/api/v1/voucher-payments/{reference}
Look up a payment you created.
Important: customer_identifier is required as a query parameter and must match the value sent on create. Requests without it or with a mismatch return 404.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/voucher-payments/VOUCHER-01K6X4G5YA71DF81ZMF83EB80Q?customer_identifier=6' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
{
    "status": true,
    "message": "Voucher Payment retrieved successfully",
    "data": {
        "reference": "VOUCHER-01KY4WMBT2QPD0HE01RQC62D82",
        "amount": 1500,
        "voucher_count": 1,
        "status": "success",
        "vouchers": [
            {
                "code": "1234ABCDEG",
                "initial_balance": 2000,
                "initial_balance_display": "€20.00",
                "current_balance": 2000,
                "current_balance_display": "€20.00",
                "status": "active",
                "created_at": "2026-07-22T12:25:56.000000Z",
                "expires_at": "2027-07-22T12:32:54.000000Z",
                "blocked_at": null
            }
        ],
        "created_at": "2026-07-22T12:25:56.000000Z",
        "charged_back_at": null
    }
}
Modified at 2026-07-21 13:42:19
Previous
Create Voucher Payment
Next
Get all Counties
Built with